using System.Collections.Generic;
using System.Linq;

namespace WpfApplication1
{
    public class ExamplesDataContext
    {
        IList<MyBusinessObject> randomProducts;
        public IList<MyBusinessObject> RandomProducts
        {
            get
            {
                if (randomProducts == null)
                {
                    randomProducts = new MyBusinessObjects().GetData(40).ToList();
                }

                return randomProducts;
            }
        }
    }
}
